package ru.yandex.autotests.directapi.model.api5.campaignsext;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created by gerdler on 08.09.18.
 */
public class StrategyMaximizeImpressionsBaseMap<T> extends ModelBeanMap<StrategyMaximizeImpressionsBaseMap> {

    public static final String AVERAGE_CPM = "averageCpm";
    public static final String SPEND_LIMIT = "spendLimit";

    public StrategyMaximizeImpressionsBaseMap() {
        super();
    }

    public T withAverageCpm(Long averageCpm) {
        this.put(AVERAGE_CPM, averageCpm);
        return (T) this;
    }

    public T withSpendLimit(Long SpendLimit) {
        this.put(SPEND_LIMIT, SpendLimit);
        return (T) this;
    }

    public T withDefaultMaximumImpressions(Long averageCpm, Long spendLimit) {
        this.put(AVERAGE_CPM, averageCpm);
        this.put(SPEND_LIMIT, spendLimit);
        return (T) this;
    }
}
